package com.javacodegeeks.rentals.reservation

import io.gatling.core.Predef._
import io.gatling.http.Predef._

object KeycloakToken {
  val token = exec(
    http("Get Keycloak Token")
      .post("http://localhost:19600/auth/realms/jcg-public/protocol/openid-connect/token")
      .header("Content-Type", "application/x-www-form-urlencoded")
      .formParamMap(Map(
        "grant_type" -> "password",
        "client_id" -> "jcg-rentals-web",
        "username" -> "${username}",
        "password" -> "${password}"))
      .check(status.is(200))
      .check(jsonPath("$.access_token").ofType[String].saveAs("token"))
    )
}