lazy val root = (project in file("."))
  .enablePlugins(GatlingPlugin)
  .settings(
    inThisBuild(List(
      organization := "com.javacodegeeks",
      scalaVersion := "2.12.8",
      scalacOptions := Seq("-encoding", "UTF-8", "-target:jvm-1.8", "-deprecation", 
        "-feature", "-unchecked", "-language:implicitConversions", "-language:postfixOps"),
      crossScalaVersions := Seq("2.12.8")
    )),
    name := "gatling-perf-tests",
    version := "0.0.1-SNAPSHOT",
    libraryDependencies ++= Seq(
     "io.gatling.highcharts" % "gatling-charts-highcharts" % "3.0.3" % "test,it",
     "io.gatling" % "gatling-test-framework" % "3.0.3" % "test,it"
    ),
    dependencyCheckFormat := "All",
    resolvers += Resolver.jcenterRepo
  )
